## wxMathPlot_0.2.0.zip

=== CMakeLists.txt ===
# Main wxMathPlot CMakeLists.txt
# Manage project
#
# Author: Davide Rondini
# Last Update: 2009-01-15
# License: wxWindows license

# Set CMake flags to enable compatibility both with 2.4 and 2.6
cmake_minimum_required(VERSION 2.4)
# if(COMMAND cmake_policy)
#       cmake_policy(SET CMP0003 OLD)
# endif(COMMAND cmake_policy)

project(wxMathPlot)

# Create options to be chosen by the user:
if(UNIX)
    SET(LINUX_64_32_CROSSCOMPILE OFF CACHE BOOL "Cross compile from Linux x86_64 to Linux x86?")
    SET(GDB_DEBUG OFF CACHE BOOL "Build with gdb debugger support?")
else(UNIX)
	# Windows option to build using UNICODE
	SET(MATHPLOT_UNICODE OFF CACHE BOOL "Build using Unicode wxWidgets build?")
endif(UNIX)
# Option for any platform
SET(MATHPLOT_SHARED OFF CACHE BOOL "Create wxMathPlot as a shared library?")
SET(MATHPLOT_DO_LOGGING OFF CACHE BOOL "Build with verbose debugging messages?")

# Important note on Unicode:
# On Windows, at least with Visual C++, it needs to be set macro UNICODE and _UNICODE
# in order to link correctly the code, o a lot of undefined symbols will come out.
# Sometimes the macro are not defined correctly through CMake and must be set manually
# in the resultin Visual Studio project (i hope to fix it in the future)
if (MATHPLOT_UNICODE)
	set(wxWidgets_CONFIGURATION mswu)
endif(MATHPLOT_UNICODE)

if(LINUX_64_32_CROSSCOMPILE)
    message(STATUS "Cross compiling from Linux x86_64 to Linux x86")
     set(CMAKE_LIBRARY_PATH "/usr/lib")
     set(CMAKE_SYSTEM_LIBRARY_PATH "/usr/lib")
     set(CMAKE_SYSTEM_PREFIX_PATH "/usr")
else(LINUX_64_32_CROSSCOMPILE)
    message(STATUS "Native build")
endif(LINUX_64_32_CROSSCOMPILE)
# message(STATUS "CMAKE_LIBRARY_PATH: " ${CMAKE_LIBRARY_PATH})

SET(wxWidgets_USE_LIBS base core)
find_package(wxWidgets)
if(wxWidgets_FOUND)
#     message(STATUS ${wxWidgets_LIBRARIES})
    include(${wxWidgets_USE_FILE})
	if(MATHPLOT_SHARED)
		add_library(mathplot SHARED mathplot.cpp mathplot.h)
	else(MATHPLOT_SHARED)
		add_library(mathplot STATIC mathplot.cpp mathplot.h)
	endif(MATHPLOT_SHARED)
	if(UNIX)
		if(LINUX_64_32_CROSSCOMPILE)
			set_source_files_properties(mathplot.cpp PROPERTIES COMPILE_FLAGS "-m32 -DwxSIZE_T_IS_UINT" )
			set_target_properties(mathplot PROPERTIES LINK_FLAGS "-m32 ") # -L${CMAKE_LIBRARY_PATH}
		endif(LINUX_64_32_CROSSCOMPILE)
		if(GDB_DEBUG)
			set_source_files_properties(mathplot.cpp PROPERTIES COMPILE_FLAGS "-g -ggdb -Wall -pg -O0" )
			set_target_properties(mathplot PROPERTIES LINK_FLAGS "-g -ggdb -Wall -pg -O0")
			if (MATHPLOT_DO_LOGGING)
				set_source_files_properties(mathplot.cpp PROPERTIES COMPILE_FLAGS "-g -ggdb -Wall  -pg -O0 -DMATHPLOT_DO_LOGGING" )
			endif(MATHPLOT_DO_LOGGING)
		endif(GDB_DEBUG)
		if(LINUX_64_32_CROSSCOMPILE AND GDB_DEBUG)
			set_source_files_properties(mathplot.cpp PROPERTIES COMPILE_FLAGS "-m32 -g -ggdb -pg -O0 -DwxSIZE_T_IS_UINT" )
			set_target_properties(mathplot PROPERTIES LINK_FLAGS "-m32  -g -ggdb -pg -O0")
			if (MATHPLOT_DO_LOGGING)
				set_source_files_properties(mathplot.cpp PROPERTIES COMPILE_FLAGS "-m32 -g -ggdb -Wall -pg -O0 -DMATHPLOT_DO_LOGGING" )
			endif(MATHPLOT_DO_LOGGING)
		endif(LINUX_64_32_CROSSCOMPILE AND GDB_DEBUG)
	else(UNIX)
		if (MATHPLOT_UNICODE)
			set_source_files_properties(mathplot.cpp PROPERTIES COMPILE_FLAGS "/DUNICODE /D_UNICODE" )
			set_target_properties(mathplot PROPERTIES LINK_FLAGS "/DUNICODE /D_UNICODE")
		endif(MATHPLOT_UNICODE)
	endif(UNIX)
    target_link_libraries(mathplot ${wxWidgets_LIBRARIES})

    # Compile samples?
    SET( WXMATHPLOT_BUILD_EXAMPLES ON CACHE BOOL "Build examples?")
    IF(WXMATHPLOT_BUILD_EXAMPLES)
        add_subdirectory(samples)
    ENDIF(WXMATHPLOT_BUILD_EXAMPLES)
	
	# library installation
#     if(UNIX)
        if(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
            set(LIBRARY_APPEND_PATH lib64)
        else(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
           set(LIBRARY_APPEND_PATH lib)
        endif(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
		install(TARGETS mathplot
#            RUNTIME DESTINATION bin
           LIBRARY DESTINATION ${LIBRARY_APPEND_PATH}
           ARCHIVE DESTINATION ${LIBRARY_APPEND_PATH}
        )
        set(WXMATHPLOT_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/wxMathPlot/)
        install(FILES Doxyfile DESTINATION ${WXMATHPLOT_INSTALL_DIR}/)
		install(FILES mathplot.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/)
		install(FILES samples/sample1/mp1.cpp samples/sample1/CMakeLists.txt DESTINATION ${WXMATHPLOT_INSTALL_DIR}/samples/sample1)
		install(FILES samples/sample2/mp2.cpp samples/sample2/CMakeLists.txt DESTINATION ${WXMATHPLOT_INSTALL_DIR}/samples/sample2)
		install(FILES samples/sample3/sample3.cpp samples/sample3/CMakeLists.txt samples/sample3/gridmap.png DESTINATION ${WXMATHPLOT_INSTALL_DIR}/samples/sample3)
#     else(UNIX)
#     endif(UNIX)

else(wxWidgets_FOUND)
    MESSAGE("wxWidgets not found!")
endif(wxWidgets_FOUND)

=== debian/changelog ===
wxmathplot (0.2.0) stable; urgency=medium

  * Fix X scale: if X axis is set to date/time format, avoid negative values, which are not recognized by Windows.
  * Initialized coords in mpScaleY to avoid flooding valgrind outputs of warnings.
  * mpScaleX labels: under WIN32 platform time_t is 32 bit signed, so dates has to be checked to be valid to avoid crashes.
    This is subject to 2038 bug, but should be avoided on 64 bit builds.
  * Fix for mpInfoCoords rectangle size on Windows.
  * Introduced item mode in mpInfoLegend, to draw a square instead of a line in legend, which is more clear.
  * Implemented formatting mouse coordinate display in the same way as x axis using time formats.
  * Removed some gcc build warnings.
  * Adding the option to printout date and time data using gmtime instead of localtime.
  * Fixed bug when saving screenshots when not in white background: taxt elements were always printed in black.
  * Created new release 0.2.0 to distribute new updated version.

 -- Davide Rondini <cdron77@users.sourceforge.net>  Fri, 14 May 2021 12:04:53 +0200

wxmathplot (0.1.3-xenial1) Ubuntu; urgency=medium

  * Rebuild for Ubuntu 16.04.
  * Merge fixes from trunk.

 -- Davide Rondini <cdron77@users.sourceforge.net>  Wed, 10 Jul 2019 16:34:09 +0200

wxmathplot (0.1.3-jessie2) UNRELEASED; urgency=medium

  * Rebuild using wxWidgets 3.0.

 -- Davide Rondini <davide.rondini@samplesw.com>  Tue, 13 Oct 2015 09:58:06 +0200

wxmathplot (0.1.3-jessie1) unstable; urgency=low

  * Rebuild for Debian Jessie amd64

 -- Davide Rondini <davide.rondini@samplesw.com>  Thu, 01 Oct 2015 15:05:16 +0200

wxmathplot (0.1.3-stretch1) stable; urgency=medium

  * Rebuild of latest SVN release for Debian Stretch

 -- Davide Rondini <cdron77@users.sourceforge.net>  Tue, 18 Jul 2017 09:25:46 +0200

wxmathplot (0.1.2) unstable; urgency=low

  * Initial DEB Release.
  * Added mpX_DATE and mpX_DATETIME formats for X axis.
  * Axes labels' format can now be set using the SetLabelFormat function, so the user can select the appropriate format fitting his needs.
  * Introduced mpWindow::SetColourTheme to set background and foreground colors different from default black on white. mpPrintout will continue to print everything with white background.
  * Fixed drawing of labels for mpFX, mpFY and mpFXY. It is not really meaningful to use the label for mpFXY objects and similar ones: it is recommended to use mpInfoLegend instead, it is more clear and elegant.
  * Fixed evaluation of m_posY in mpWindow::Fit (margin top to be added, not subtracted)
  * Fixed mpFXYVector (and mpFXY) which did not respected margins when set as continuous
  * Can now build as a DLL on Windows (works only if wxWidgets are built as DLL): patch by zundoya
  * Reimplemented scrollers: patch by ngpaton
  * MATHPLOT_DO_LOGGING is now an option to be enabled by CMake building
  * Minor fixes.

 -- Davide Rondini <cdron77@users.sourceforge.net>  Thu, 11 Nov 2009 17:44:55 +0100

=== debian/control ===
Source: wxmathplot
Priority: extra
Maintainer: Davide Rondini <cdron77@users.sourceforge.net>
Build-Depends: debhelper (>= 7), cmake (>= 2.4), libwxbase2.8-dev | libwxbase3.0-dev, libwxgtk2.8-dev | libwxgtk3.0-dev | libwxgtk3.0-gtk3-dev
Standards-Version: 3.7.3
Section: libs
Homepage: http://wxmathplot.sourceforge.net

Package: libwxmathplot-dev
Section: libdevel
Architecture: any
Depends: libwxmathplot (= ${binary:Version})
Description: wxMathPlot is a plot add-on library for wxWidgets (development package)
 wxMathPlot is a library to add 2D scientific plot functionality to
 wxWidgets. It allows to embed inside your program a window for plotting
 scientific, statistical or mathematical data, with additions like legend or
 coordinate display in overlay.
 This is the development package including headers and original CMakeLists.txt file.
 

Package: libwxmathplot
Section: libs
Architecture: any
Depends:  libwxbase2.8-0 | libwxbase3.0-0 | libwxbase3.0-0v5, libwxgtk2.8-0 | libwxgtk3.0-0 | libwxgtk3.0-0v5 | libwxgtk3.0-gtk3-0v5, ${shlibs:Depends}, ${misc:Depends}
Description: wxMathPlot is a plot add-on library for wxWidgets
 wxMathPlot is a library to add 2D scientific plot functionality to
 wxWidgets. It allows to embed inside your program a window for plotting
 scientific, statistical or mathematical data, with additions like legend or
 coordinate display in overlay.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1






# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	cmake -D GDB_DEBUG:BOOL=FALSE -D MATHPLOT_SHARED:BOOL=TRUE -D WXMATHPLOT_BUILD_EXAMPLES:BOOL=TRUE -D LINUX_64_32_CROSSCOMPILE:BOOL=FALSE -D MATHPLOT_DO_LOGGING:BOOL=FALSE -D CMAKE_INSTALL_PREFIX:STRING=$(CURDIR)/debian/libwxmathplot/usr $(CURDIR)

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	./clear_project
	# $(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install
	# $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
